Skip to main content
PATCH
/
posts
/
{pid}
Update a scheduled post
curl --request PATCH \
  --url https://api.social-api.ai/v1/posts/{pid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_ids": [
    "<string>"
  ],
  "media_ids": [
    "<string>"
  ],
  "platform_options": {},
  "scheduled_at": "2026-04-01T10:00:00Z",
  "text": "Updated caption!"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

pid
string
required

Scheduled post ID

Body

application/json

Updated content

account_ids
string[]

AccountIDs changes the target accounts.

media_ids
string[]

MediaIDs replaces the media files attached to the post.

platform_options
object

PlatformOptions passes platform-specific settings.

scheduled_at
string

ScheduledAt changes the scheduled publication time.

Example:

"2026-04-01T10:00:00Z"

text
string

Text is the updated post caption / body. Required.

Example:

"Updated caption!"

Response

Post updated

success
boolean
Example:

true